﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Rss;

namespace MockSubSonic
{
    public interface IDataStore
    {
        int InsertFeedDetails(RssChannel rssChannel);
        int InsertFeedItem(int channelID, RssItem rssItem);
        RssItemCollection GetRssItemsForChannel(int channelId);
        RssChannel GetRssChannel(string url);

        int GetChannelIDForUrl(string url);

        int SaveUser(User user);

        bool Subscribe(string username, int channelId);

        int GetUserIDForUsername(string username);

        int[] GetChannelListForUser(int userId);

        RssChannel GetRssChannel(int channelId);
    }
}
