﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MockSubSonic;
using Rss;

namespace MockSubSonicConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Welcome UserA to MockSubSonic");
            User u = new User("UserA", "PassA", "User@TestMail.com");
            DatabaseManager.SaveUser(u);

            Console.WriteLine("Saving Feed");
            DatabaseManager.SaveFeed(RssFeed.Read("http://newsrss.bbc.co.uk/rss/newsonline_uk_edition/front_page/rss.xml"));

            Console.WriteLine("Subscribing");
            bool result = DatabaseManager.SubscribeUserToFeed(u.Name, "http://newsrss.bbc.co.uk/rss/newsonline_uk_edition/front_page/rss.xml");

            if(result)
                Console.WriteLine("You successfully subscribed to http://newsrss.bbc.co.uk/rss/newsonline_uk_edition/front_page/rss.xml");
            else
                Console.WriteLine("You failed to subscribed to http://newsrss.bbc.co.uk/rss/newsonline_uk_edition/front_page/rss.xml. Sorry");

            RssFeedCollection feeds = DatabaseManager.GetUsersRssFeedCollection(u.Name);
            Console.WriteLine("You are now subscribed to: " + feeds.Count);
            Console.WriteLine("First one is : " + feeds[0].Channels[0]);

            Console.ReadLine();
        }
    }
}
